com.tibbo.aggregate.common.datatable

## Class DataTableConstruction

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableConstruction

-     public class DataTableConstruction
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableConstruction()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `constructTable(java.util.List parameters)`
    `static DataTable` | `constructTable(java.util.List parameters, TableFormat format)`
    `static DataTable` | `constructTable(java.util.List parameters, TableFormat format, Evaluator evaluator, EvaluationEnvironment environment)`
    `static DataTable` | `constructTable(java.lang.Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableConstruction

          public DataTableConstruction()

  - ### Method Detail

    - #### constructTable

          public static DataTable constructTable(java.lang.Object object)
                                          throws SyntaxErrorException,
                                                 EvaluationException,
                                                 DataTableException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `DataTableException`

    - #### constructTable

          public static DataTable constructTable(java.util.List parameters)
                                          throws SyntaxErrorException,
                                                 EvaluationException,
                                                 DataTableException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `DataTableException`

    - #### constructTable

          public static DataTable constructTable(java.util.List parameters,
                                                 TableFormat format)
                                          throws SyntaxErrorException,
                                                 EvaluationException,
                                                 DataTableException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `DataTableException`

    - #### constructTable

          public static DataTable constructTable(java.util.List parameters,
                                                 TableFormat format,
                                                 Evaluator evaluator,
                                                 EvaluationEnvironment environment)
                                          throws SyntaxErrorException,
                                                 EvaluationException,
                                                 DataTableException

      Throws:
        `SyntaxErrorException`
        `EvaluationException`
        `DataTableException`